Subject: Re: [bug#52721] [PATCH] gnu: python-pydata-sphinx-theme: Fix build.

From: Efraim Flashner <[email-masked]>
Date: Sat, 25 Dec 2021 22:02:37 +0200

On Thu, Dec 23, 2021 at 10:54:27PM +0000, Aleksandr Vityazev wrote:
> Hi,
> 
> On 2021-12-22, 18:25 +0000, Maxime Devos <[email-masked]> wrote:
> 
> >> For version 0.6.3 there is a file
> >> pydata-sphinx-theme-0.6.3/docs/requirements.txt where the last line
> >> contains:
> >> 
> >> docutils==0.16 # temporary pin (0.17 broken captions).
> >> 
> >> Also, the master version requires "docutils!=0.17.0.
> >> 
> >> So I created a patch that adds an extra phase.
> >
> > In that case, docutil<0.17 appears to be actually required, so the
> > solution would be to use docutils=0.15 as you did originally, I think?
> > Preferably with a comment ; captions are broken in 0.17..
> >
> 
> These were pushed by Efraim Flashner with
> 8efa775653f78dad8b254e719677e663be8f3240.
> 

Sorry, I didn't check for patches before working on this patch.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted